## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EPackage2EditPart.PackageFigure

    java.lang.Object
      GradientRectangleFigure
          org.eclipse.emf.ecoretools.diagram.edit.parts.EPackage2EditPart.PackageFigure

Enclosing class:
  EPackage2EditPart

    public class EPackage2EditPart.PackageFigure

extends GradientRectangleFigure

Constructor Summary
`EPackage2EditPart.PackageFigure()`

Method Summary
`void` `addFromLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureFromLabel()`
`org.eclipse.draw2d.RectangleFigure` `getFigurePackageBodyRectangle()`
`org.eclipse.draw2d.RectangleFigure` `getFigurePackageLabelRectangle()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigurePackageNameLabel()`
`void` `removeFromLabel()`
`protected void` `setUseLocalCoordinates(boolean useLocalCoordinates)`
`void` `updateFromLabel(java.lang.String text)`
`protected boolean` `useLocalCoordinates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPackage2EditPart.PackageFigure

    public EPackage2EditPart.PackageFigure()

Method Detail

### useLocalCoordinates

    protected boolean useLocalCoordinates()

### setUseLocalCoordinates

    protected void setUseLocalCoordinates(boolean useLocalCoordinates)

### getFigurePackageBodyRectangle

    public org.eclipse.draw2d.RectangleFigure getFigurePackageBodyRectangle()

### getFigurePackageNameLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigurePackageNameLabel()

### getFigurePackageLabelRectangle

    public org.eclipse.draw2d.RectangleFigure getFigurePackageLabelRectangle()

### addFromLabel

    public void addFromLabel()

### getFigureFromLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureFromLabel()

### removeFromLabel

    public void removeFromLabel()

### updateFromLabel

    public void updateFromLabel(java.lang.String text)

Copyright 2007 Anyware Technologies. All Rights Reserved.